### Function

# Gimp pattern_select_new

#### Declaration [src]

    const gchar*
    gimp_pattern_select_new (
      const gchar* title,
      const gchar* pattern_name,
      GimpRunPatternCallback callback,
      gpointer data,
      GDestroyNotify data_destroy
    )

#### Description

No description available.

#### Parameters

`title`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`pattern_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`callback`

  Type: `GimpRunPatternCallback`

  No description available.

`data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`data_destroy`

  Type: `GDestroyNotify`

  No description available.

#### Return value

Type: `const gchar*`

No description available.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.